#include "InputBox.moc"
#include <qvbox.h>
#include <qwhatsthis.h>
#include <ui.h>

InputBox::InputBox(entries e, QWidget *parent, const char *name, bool hasCancel, WFlags f)
  : KDialogBase(parent, name, true, QString::null, hasCancel ? Ok | Cancel : Ok, Ok, true )
{
	QVBox *page = makeVBoxMainWidget();
	for(entries::iterator it=e.begin(); it!=e.end(); it++) {
		EditWidget *ed=new EditWidget((*it).label, (*it).dflt, (*it).isFile, page);
		QWhatsThis::add(ed, (*it).help);
		edit.insert(edit.end(), ed);
	}
}
